[分享]amule cvs20070116 for Ubuntu Edgy

为当前最终发行版之前的所有版本提供支持
leo_tzao
帖子: 157
注册时间: 2005-11-15 11:28
送出感谢: 0
接收感谢: 0
联系:

[分享]amule cvs20070116 for Ubuntu Edgy

#1

帖子 leo_tzao » 2007-01-19 15:32

我一直认为amule是Linux下又一款值得骄傲的软件,原因很简单,至少在我家里用路由器组成的小型局域网环境下,Linux下的amule 2.1.3连接能力和饱和速度的出现时间基本上都要快于我在windows下面用的emule verycd版。

不过因为amule是基于wxGTK的,ubuntu中的wxgtk2.6.3再和amule 2.1.3配合时候有些问题,关闭搜索标签页会导致amule死掉,在我的机器上,较长时间运行也会导致没有响应。关于搜索标签页关闭死掉的bug,按照amule作者的说法,这是wxgtk2.6本身的bug而不是amule的。

没办法,鉴于我是常年的驴友,这么一款不稳定的amule实在令我不能安心。好在基于wxgtk2.8的下一个发布版amule2.2.0已经临近出来了,目前amule官方的cvs版本也已经比较稳定,于是,迫不及待了,从网上拖来了wxgtk2.8版本for ubuntu的包,然后又从cvs下载了最新的源码,编译了一个cvs20070116版本的amule,经过这几天的试用,感觉比原来的2.1.3要稳定许多,没那么脆弱了。

鉴于2.2.0的正式发布还不知道具体时间,先和大家共享这个cvs版本,希望对广大驴友有用:)

amule_2.1.99+cvs20070116包

amule-common_2.1.99+cvs20070116

amule-daemon_2.1.99+cvs20070116

amule-utils_2.1.99+cvs20070116

amule-utils-gui_2.1.99+cvs20070116

libwxbase2.8

libwxbase2.8-dev

libwxgtk2.8

libwxgtk2.8-dev

wx2.8-headers

xw2.8-i18n

以上的包,前几个amule的cvs版本是我自己打的,后面wx2.8的包是我从网上拖回来的,原来的源太慢,我没有用源更新,直接到它的目录下用dta多线程下载回来了,一并上传。

对于一般用户,所有后缀-dev的包是不用装的,amule的包中,amule和amule-common是必须装的,amule-utils推荐装上,比如要在firefox中实现与ed2k的关联,必须此包,amule-daemon是守护进程,一般习惯于直接用图形界面的话可以不装,utils-gui这个包我一直都没有用,也是没有经过本地测试的。这个打包规则我是按照ubuntu官方发布的amule包的打包方式来进行的,因此不必卸载旧版本应该就可以直接升级安装了。

在装amule的cvs版之前,必须先安装相关的wxgtk2.8的包,如果你觉得原来的wx2.6没有什么用了,也可以先卸载掉。如果不准备用wxgtk自己编译或者开发什么,那么只安装libwxbase2.8-0_2.8.0.1-1_i386.deb,libwxgtk2.8-0_2.8.0.1-1_i386.deb和wx2.8-i18n_2.8.0.1-1_all.deb三个包就可以了。

因此,总结一下,如果想使用这个cvs版的amule,请下载如下几个包

amule_2.1.99+cvs20070116-1leoubuntu1_i386.deb

amule-common_2.1.99+cvs20070116-1leoubuntu1_all.deb

amule-utils_2.1.99+cvs20070116-1leoubuntu1_i386.deb

libwxbase2.8-0_2.8.0.1-1_i386.deb

libwxgtk2.8-0_2.8.0.1-1_i386.deb

wx2.8-i18n_2.8.0.1-1_all.deb

然后,sudo aptitude install libwxbase2.8-0_2.8.0.1-1_i386.deb libwxgtk2.8-0_2.8.0.1-1_i386.deb wx2.8-i18n_2.8.0.1-1_all.deb

再,sudo aptitude install amule_2.1.99+cvs20070116-1leoubuntu1_i386.deb amule-common_2.1.99+cvs20070116-1leoubuntu1_all.deb

再,sudo aptitude install amule-utils_2.1.99+cvs20070116-1leoubuntu1_i386.deb

由于是cvs版本,作者规定需要加“--even-if-lfroen-complains-this-will-stay”作为参数才可以运行amule,很有意思,呵呵。

所以,安装完毕后,在终端运行 amule --even-if-lfroen-complains-this-will-stay 就可以看到这个cvs版本运行了。

也可以用gnome或者kde的菜单编辑器,将上面那行参数加入到amule的项目里面,每次就可以直接从菜单启动了。

最最后,虽然上述方法应该是可行的,但是还是强烈推荐自己制作一个本地目录的源加入到sources.list文件里,这对于经常自己打包或者从网上托一些包回来的朋友而言,是极大的方便的。

原URL: http://my.opera.com/leo_tzao/blog/amule ... buntu-edgy

最最最后,贴一张这个版本在我机器上运行的效果图吧──
附件
Screenshot_amule_070119.png
Quetalocatl
帖子: 162
注册时间: 2006-01-20 14:01
来自: Macau
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 Quetalocatl » 2007-01-19 22:29

其實我想問
amule的CVS在哪裏?

還有
這次有甚麼重大更新嗎?
头像
karron
帖子: 6226
注册时间: 2005-06-11 14:03
来自: 不明真相的群众
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 karron » 2007-01-19 22:36

赞.

这个版本启动需要加什么参数吗? 我以前用过cvs版本的.后面要加一长串参数.....
我的blog,关于技术,软件,linux,vim <---- 所有博客均被河蟹.
Quetalocatl
帖子: 162
注册时间: 2006-01-20 14:01
来自: Macau
送出感谢: 0
接收感谢: 0
联系:

#4

帖子 Quetalocatl » 2007-01-19 22:52

--even-if-lfroen-complains-this-will-stay

你有沒有仔細看的?
头像
karron
帖子: 6226
注册时间: 2005-06-11 14:03
来自: 不明真相的群众
送出感谢: 0
接收感谢: 0
联系:

#5

帖子 karron » 2007-01-19 22:58

没有....
我的blog,关于技术,软件,linux,vim <---- 所有博客均被河蟹.
leo_tzao
帖子: 157
注册时间: 2005-11-15 11:28
送出感谢: 0
接收感谢: 0
联系:

#6

帖子 leo_tzao » 2007-01-19 23:54

呵呵,这个版本据我所知最大的变化应该有两个

1.解决了2.1.3在wxgtk下的冲突问题,即关闭第一个搜索框会导致amule异常退出

2.可以支持2G以上文件的下载,这下可以随心所欲的拖HDTV文件回来了,2.1.*好像是不支持大于2G的文件的。

另外听说的重大改进是UPNP,我看到了有这个选项,但还没机会测试下。

amule的cvs是每天一次按时在其官方网站的sourcecode链接里面打包发布的,貌似没有公布直接cvs的地址:)
头像
ct
帖子: 2201
注册时间: 2005-04-06 21:15
来自: 安徽黄山
送出感谢: 0
接收感谢: 0
联系:

#7

帖子 ct » 2007-01-20 1:56

一直用mldonkey,速度好像没有amule快吧,不过少些麻烦。
头像
karron
帖子: 6226
注册时间: 2005-06-11 14:03
来自: 不明真相的群众
送出感谢: 0
接收感谢: 0
联系:

#8

帖子 karron » 2007-01-20 7:30

昨天在安装了楼主的包之后,又安装了mldonkey,仔细研究了一下设置之后,终于解决了几个我一直困扰的问题,准备一直用mldonkey了.

1.设置了mldonkey只连接某几个服务器.以前没有注意到那个选项,很不爽,老是会连接到间谍服务器.
2.解决了改变下载文件夹的地方,原来就是share目录.
3.使用了一个自动关联edek://的firefox扩展.

我现在一个问题是哪里有黑名单,我想把一些间谍服务器屏蔽掉,看见donkey server里面的一些间谍服务器就不爽.
我的blog,关于技术,软件,linux,vim <---- 所有博客均被河蟹.
头像
zhuqin_83
帖子: 10606
注册时间: 2006-05-13 4:02
送出感谢: 0
接收感谢: 7 次
联系:

#9

帖子 zhuqin_83 » 2007-01-20 7:44

karron觉得那个速度快一点?
HP Pavilion DV6-2064CA: AMD Turion II Ultra Dual-Core Mobile M640, HD4650, 2GBx2 DDR2-800, Seagate 500GB 7200RPM SATA, BD-ROM
DELL UltraSharp 2209WA
Arch64, Testing repo
头像
karron
帖子: 6226
注册时间: 2005-06-11 14:03
来自: 不明真相的群众
送出感谢: 0
接收感谢: 0
联系:

#10

帖子 karron » 2007-01-20 7:59

感觉速度差不多.我2m的adsl,基本上两个速度都在100多到200.其实我以前一直用的是amule,mldonkey用的少,主要是一开始不会用.amule和emule基本一样.

我现在抛弃amule的原因主要是他是用wxwidget写的.而往往他用的版本和我们系统的版本不一致.有时候想用个新版本还不行,还要去解决wx的问题.

而mldonkey就不同了,默认没有gui界面,可以用web来控制,也可以去下载好用的gui控制程序.再加上我上面提到的几点问题,现在我都找到解决方法了(以前是我自己看得不仔细).

不过功能上两个软件都差不多.mldonkey有个功能是可以同时连多个server,感觉不错.还没有用它下载过bt.不知道bt功能是否强大.
我的blog,关于技术,软件,linux,vim <---- 所有博客均被河蟹.
头像
zhuqin_83
帖子: 10606
注册时间: 2006-05-13 4:02
送出感谢: 0
接收感谢: 7 次
联系:

#11

帖子 zhuqin_83 » 2007-01-20 8:06

是这样啊。mldonkey还能同时连多个server?好希奇的功能 :shock: 还能下bt? :shock:
这个软件源里有么?听上去很不错的样子。
HP Pavilion DV6-2064CA: AMD Turion II Ultra Dual-Core Mobile M640, HD4650, 2GBx2 DDR2-800, Seagate 500GB 7200RPM SATA, BD-ROM
DELL UltraSharp 2209WA
Arch64, Testing repo
头像
karron
帖子: 6226
注册时间: 2005-06-11 14:03
来自: 不明真相的群众
送出感谢: 0
接收感谢: 0
联系:

#12

帖子 karron » 2007-01-20 9:16

源里面有. sudo apt-get install mldonkey-server

主页,看看上面的文章.
http://mldonkey.sourceforge.net/Main_Page

启动mlnet之后, 浏览器输入 localhost:4080就可以访问了.

http://www.informatik.uni-oldenburg.de/~dyna/mldonkey/ firefox的插件.如果你以前设置了firefox启动amule,可能需要把那个设置改了. 目前只能用于firefox2.0,最新的2.0.1不支持.

如果习惯gui界面,可以用sancho,这个很好.
我的blog,关于技术,软件,linux,vim <---- 所有博客均被河蟹.
leo_tzao
帖子: 157
注册时间: 2005-11-15 11:28
送出感谢: 0
接收感谢: 0
联系:

#13

帖子 leo_tzao » 2007-01-20 10:49

替amule说句话:)

用amule其实有个非常重要的原因就是它和win下的emule是兼容的,将两个软件的目录射成一样,偶尔回到win下的话,开启emule只要等软件自动hash一下就可以继续下载

另外,amule其实也有命令行+gui的模式,只是不大成熟,所以用得还不多:)

当然mldonkey也是非常不多的软件,确实挺有特点,我用过好长一阵子。
头像
karron
帖子: 6226
注册时间: 2005-06-11 14:03
来自: 不明真相的群众
送出感谢: 0
接收感谢: 0
联系:

#14

帖子 karron » 2007-01-20 11:42

amule确实不错.linux大部分人都是用的它.
我的blog,关于技术,软件,linux,vim <---- 所有博客均被河蟹.
头像
ct
帖子: 2201
注册时间: 2005-04-06 21:15
来自: 安徽黄山
送出感谢: 0
接收感谢: 0
联系:

#15

帖子 ct » 2007-01-20 17:02

我是用sancho的,当然其实mlgui和kmldonkey都还不错,不过sancho功能更强大点。
下bt功能一般,特别是下电视剧最好就不要用它了,不能选择下载的,以前中文支持很差,现在稍好,不过有时候编码还是会乱(不过就算是azureus也未必总能认对吧?)
回复

回到 “老旧版本支持”